{
"SMALL_REACTOR_MIN_MASS" : 7.5,
"SMALL_REACTOR_MAX_MASS" : 15.0,
"MEDIUM_REACTOR_MIN_MASS" : 16.0,
"MEDIUM_REACTOR_MAX_MASS" : 32.0,
"LARGE_REACTOR_MIN_MASS" : 40.0,
"LARGE_REACTOR_MAX_MASS" : 80.0,
"SMALL_REACTOR_MIN_ENERGY" : 10.0,
"SMALL_REACTOR_MAX_ENERGY" : 20.0,
"MEDIUM_REACTOR_MIN_ENERGY" : 100,
"MEDIUM_REACTOR_MAX_ENERGY" : 300,
"LARGE_REACTOR_MIN_ENERGY" : 600,
"LARGE_REACTOR_MAX_ENERGY" : 1000,
"MIN_ENERGY_PRODUCTION" : 0,
"MAX_ENERGY_PRODUCTION" : 0,
"MEDIUM_REACTOR_MIN_PRICE" : 100,
"MEDIUM_REACTOR_MAX_PRICE" : 500,
"LARGE_REACTOR_MIN_PRICE" : 1000,
"LARGE_REACTOR_MAX_PRICE" : 2500,
"MEDIUM_ENGINE_MIN_PRICE" : 100,
"MEDIUM_ENGINE_MAX_PRICE" : 350,
"LARGE_ENGINE_MIN_PRICE" : 350,
"LARGE_ENGINE_MAX_PRICE" : 1500,
"SMALL_ARTILLERY_TURRET_MIN_PRICE" : 50,
"SMALL_ARTILLERY_TURRET_MAX_PRICE" : 150,
"MEDIUM_ARTILLERY_TURRET_MIN_PRICE" : 200,
"MEDIUM_ARTILLERY_TURRET_MAX_PRICE" : 800,
"LARGE_ARTILLERY_TURRET_MIN_PRICE" : 800,
"LARGE_ARTILLERY_TURRET_MAX_PRICE" : 2000,
"MEDIUM_LASER_TURRET_MIN_PRICE" : 200,
"MEDIUM_LASER_TURRET_MAX_PRICE" : 800,
"LARGE_LASER_TURRET_MIN_PRICE" : 800,
"LARGE_LASER_TURRET_MAX_PRICE" : 2000,
"MEDIUM_MISSILE_TURRET_MIN_PRICE" : 400,
"MEDIUM_MISSILE_TURRET_MAX_PRICE" : 1000,
"LARGE_MISSILE_TURRET_MIN_PRICE" : 1000,
"LARGE_MISSILE_TURRET_MAX_PRICE" : 3000,
"MEDIUM_SHIELD_GENERATOR_MIN_PRICE" : 1000,
"MEDIUM_SHIELD_GENERATOR_MAX_PRICE" : 4000,
"SMALL_SHIELD_GENERATOR_MIN_PRICE" : 600,
"SMALL_SHIELD_GENERATOR_MAX_PRICE" : 2000,
"SMALL_DAMAGE_ABSORBER_MIN_PRICE" : 60,
"SMALL_DAMAGE_ABSORBER_MAX_PRICE" : 150,
"MEDIUM_DAMAGE_ABSORBER_MIN_PRICE" : 330,
"MEDIUM_DAMAGE_ABSORBER_MAX_PRICE" : 500,

"SMALL_ARTILLERY_TURRET_RESEARCH_COST_TOTAL" : 15,
"MEDIUM_ARTILLERY_TURRET_RESEARCH_COST_TOTAL" : 15,
"LARGE_ARTILLERY_TURRET_RESEARCH_COST_TOTAL" : 15,
"MEDIUM_LASER_TURRET_RESEARCH_COST_TOTAL" : 15,
"LARGE_LASER_TURRET_RESEARCH_COST_TOTAL" : 15,
"MEDIUM_MISSILE_TURRET_RESEARCH_COST_TOTAL" : 15,
"LARGE_MISSILE_TURRET_RESEARCH_COST_TOTAL" : 15,
"MEDIUM_REACTOR_RESEARCH_COST_TOTAL" : 15,
"LARGE_REACTOR_RESEARCH_COST_TOTAL" : 20,
"MEDIUM_ARMOR_RESEARCH_COST_TOTAL" : 10,
"LARGE_ARMOR_RESEARCH_COST_TOTAL" : 15,
"MEDIUM_SHIELD_GENERATOR_RESEARCH_COST_TOTAL" : 15,
"LARGE_SHIELD_GENERATOR_RESEARCH_COST_TOTAL" : 20,
"MEDIUM_ENGINE_RESEARCH_COST_TOTAL" : 10,
"LARGE_ENGINE_RESEARCH_COST_TOTAL" : 15,

"SMALL_ARTILLERY_TURRET_COST_RATIO_DMG" : 0.6,
"SMALL_ARTILLERY_TURRET_COST_RATIO_FOV" : 0.2,
"SMALL_ARTILLERY_TURRET_COST_RATIO_RANGE" : 0.1,
"SMALL_ARTILLERY_TURRET_COST_RATIO_FIRE_RATE" : 0.0,
"SMALL_ARTILLERY_TURRET_COST_RATIO_MASS_EFFICENCY" : 0.1,

"MEDIUM_ARTILLERY_TURRET_COST_RATIO_DMG" : 0.6,
"MEDIUM_ARTILLERY_TURRET_COST_RATIO_FOV" : 0.2,
"MEDIUM_ARTILLERY_TURRET_COST_RATIO_RANGE" : 0.1,
"MEDIUM_ARTILLERY_TURRET_COST_RATIO_FIRE_RATE" : 0.0,
"MEDIUM_ARTILLERY_TURRET_COST_RATIO_MASS_EFFICENCY" : 0.1,

"LARGE_ARTILLERY_TURRET_COST_RATIO_DMG" : 0.6,
"LARGE_ARTILLERY_TURRET_COST_RATIO_FOV" : 0.2,
"LARGE_ARTILLERY_TURRET_COST_RATIO_RANGE" : 0.1,
"LARGE_ARTILLERY_TURRET_COST_RATIO_FIRE_RATE" : 0.0,
"LARGE_ARTILLERY_TURRET_COST_RATIO_MASS_EFFICENCY" : 0.1,

"MEDIUM_LASER_TURRET_COST_RATIO_DMG" : 0.6,
"MEDIUM_LASER_TURRET_COST_RATIO_FOV" : 0.2,
"MEDIUM_LASER_TURRET_COST_RATIO_RANGE" : 0.1,
"MEDIUM_LASER_TURRET_COST_RATIO_FIRE_RATE" : 0.0,
"MEDIUM_LASER_TURRET_COST_RATIO_MASS_EFFICENCY" : 0.1,

"LARGE_LASER_TURRET_COST_RATIO_DMG" : 0.6,
"LARGE_LASER_TURRET_COST_RATIO_FOV" : 0.2,
"LARGE_LASER_TURRET_COST_RATIO_RANGE" : 0.1,
"LARGE_LASER_TURRET_COST_RATIO_FIRE_RATE" : 0.0,
"LARGE_LASER_TURRET_COST_RATIO_MASS_EFFICENCY" : 0.1,

"MEDIUM_MISSILE_TURRET_COST_RATIO_DMG" : 0.80,
"MEDIUM_MISSILE_TURRET_COST_RATIO_MISSILE_COUNT" : 0,
"MEDIUM_MISSILE_TURRET_COST_RATIO_RANGE" : 0.10,
"MEDIUM_MISSILE_TURRET_COST_RATIO_FIRE_RATE" : 0.0,
"MEDIUM_MISSILE_TURRET_COST_RATIO_MASS_EFFICENCY" : 0.10,

"LARGE_MISSILE_TURRET_COST_RATIO_DMG" : 0.8,
"LARGE_MISSILE_TURRET_COST_RATIO_MISSILE_COUNT" : 0,
"LARGE_MISSILE_TURRET_COST_RATIO_RANGE" : 0.1,
"LARGE_MISSILE_TURRET_COST_RATIO_FIRE_RATE" : 0.0,
"LARGE_MISSILE_TURRET_COST_RATIO_MASS_EFFICENCY" : 0.1,

"MEDIUM_DAMAGE_ABSORBER_COST_RATIO_MASS_EFFICENCY" : 0.2,
"MEDIUM_DAMAGE_ABSORBER_COST_RATIO_STRENGTH" : 0.8,
"LARGE_DAMAGE_ABSORBER_COST_RATIO_MASS_EFFICENCY" : 0.2,
"LARGE_DAMAGE_ABSORBER_COST_RATIO_STRENGTH" : 0.8,
"MEDIUM_SHIELD_GENERATOR_COST_RATIO_MASS_EFFICENCY" : 0.1,
"MEDIUM_SHIELD_GENERATOR_COST_RATIO_RANGE" : 0.3,
"MEDIUM_SHIELD_GENERATOR_COST_RATIO_ARC" : 0.3,
"MEDIUM_SHIELD_GENERATOR_COST_RATIO_STRENGTH" : 0.3,
"MEDIUM_SHIELD_GENERATOR_COST_RATIO_RATE" : 0.0,
"LARGE_SHIELD_GENERATOR_COST_RATIO_MASS_EFFICENCY" : 0.1,
"LARGE_SHIELD_GENERATOR_COST_RATIO_RANGE" : 0.3,
"LARGE_SHIELD_GENERATOR_COST_RATIO_ARC" : 0.3,
"LARGE_SHIELD_GENERATOR_COST_RATIO_STRENGTH" : 0.3,
"LARGE_SHIELD_GENERATOR_COST_RATIO_RATE" : 0.0,
"MEDIUM_REACTOR_COST_RATIO_POWER" : 0.85,
"MEDIUM_REACTOR_COST_RATIO_MASS_EFFICENCY" : 0.15,
"LARGE_REACTOR_COST_RATIO_POWER" : 0.85,
"LARGE_REACTOR_COST_RATIO_MASS_EFFICENCY" : 0.15,
"MEDIUM_ENGINE_COST_RATIO_THRUST" : 0.7,
"MEDIUM_ENGINE_COST_RATIO_MASS_EFFICENCY" : 0.3,
"LARGE_ENGINE_COST_RATIO_THRUST" : 0.7,
"LARGE_ENGINE_COST_RATIO_MASS_EFFICENCY" : 0.3,

"SMALL_ENGINE_MIN_MASS" : 10,
"SMALL_ENGINE_MAX_MASS" : 15,
"MEDIUM_ENGINE_MIN_MASS" : 30,
"MEDIUM_ENGINE_MAX_MASS" : 60,
"LARGE_ENGINE_MIN_MASS" : 60,
"LARGE_ENGINE_MAX_MASS" : 120,
"SMALL_ENGINE_POWER_USE_MIN" : 5,
"SMALL_ENGINE_POWER_USE_MAX" : 5,
"MEDIUM_ENGINE_POWER_USE_MIN" : 40,
"MEDIUM_ENGINE_POWER_USE_MAX" : 80,
"LARGE_ENGINE_POWER_USE_MIN" : 140,
"LARGE_ENGINE_POWER_USE_MAX" : 280,
"SMALL_ENGINE_MIN_THRUST" : 40,
"SMALL_ENGINE_MAX_THRUST" : 90,
"MEDIUM_ENGINE_MIN_THRUST" : 1000,
"MEDIUM_ENGINE_MAX_THRUST" : 2000,
"LARGE_ENGINE_MIN_THRUST" : 3000,
"LARGE_ENGINE_MAX_THRUST" : 6000,
"SMALL_ARTILLERY_MIN_DAMAGE" : 20,
"SMALL_ARTILLERY_MAX_DAMAGE" : 60,
"MEDIUM_ARTILLERY_MIN_DAMAGE" : 300,
"MEDIUM_ARTILLERY_MAX_DAMAGE" : 900,
"LARGE_ARTILLERY_MIN_DAMAGE" : 3000,
"LARGE_ARTILLERY_MAX_DAMAGE" : 9000,
"SMALL_ARTILLERY_MIN_MASS" : 5,
"SMALL_ARTILLERY_MAX_MASS" : 10,
"MEDIUM_ARTILLERY_MIN_MASS" : 20,
"MEDIUM_ARTILLERY_MAX_MASS" : 40,
"LARGE_ARTILLERY_MIN_MASS" : 180,
"LARGE_ARTILLERY_MAX_MASS" : 360,
"SMALL_ARTILLERY_MIN_POWER_USE" : 10,
"SMALL_ARTILLERY_MAX_POWER_USE" : 20,
"MEDIUM_ARTILLERY_MIN_POWER_USE" : 60,
"MEDIUM_ARTILLERY_MAX_POWER_USE" : 120,
"LARGE_ARTILLERY_MIN_POWER_USE" : 180,
"LARGE_ARTILLERY_MAX_POWER_USE" : 280,
"SMALL_ARTILLERY_MIN_RANGE" : 5000,
"SMALL_ARTILLERY_MAX_RANGE" : 7000,
"MEDIUM_ARTILLERY_MIN_RANGE" : 8500,
"MEDIUM_ARTILLERY_MAX_RANGE" : 14000,
"LARGE_ARTILLERY_MIN_RANGE" : 11000,
"LARGE_ARTILLERY_MAX_RANGE" : 20000,
"SMALL_ARTILLERY_MIN_FOV" : 45,
"SMALL_ARTILLERY_MAX_FOV" : 180,
"MEDIUM_ARTILLERY_MIN_FOV" : 100,
"MEDIUM_ARTILLERY_MAX_FOV" : 320,
"LARGE_ARTILLERY_MIN_FOV" : 100,
"LARGE_ARTILLERY_MAX_FOV" : 320,
"SMALL_ARTILLERY_MIN_FIRE_RATE" : 500,
"SMALL_ARTILLERY_MAX_FIRE_RATE" : 500,
"MEDIUM_ARTILLERY_MIN_FIRE_RATE" : 6,
"MEDIUM_ARTILLERY_MAX_FIRE_RATE" : 6,
"LARGE_ARTILLERY_MIN_FIRE_RATE" : 4,
"LARGE_ARTILLERY_MAX_FIRE_RATE" : 4,
"MEDIUM_LASER_MIN_DAMAGE" : 100,
"MEDIUM_LASER_MAX_DAMAGE" : 300,
"LARGE_LASER_MIN_DAMAGE" : 600,
"LARGE_LASER_MAX_DAMAGE" : 1800,
"MEDIUM_LASER_MIN_MASS" : 20,
"MEDIUM_LASER_MAX_MASS" : 40,
"LARGE_LASER_MIN_MASS" : 180,
"LARGE_LASER_MAX_MASS" : 360,
"MEDIUM_LASER_MIN_BEAM_DURATION" : 3.0,
"MEDIUM_LASER_MAX_BEAM_DURATION" : 3.0,
"LARGE_LASER_MIN_BEAM_DURATION" : 5.0,
"LARGE_LASER_MAX_BEAM_DURATION" : 5.0,
"MEDIUM_LASER_MIN_POWER_USE" : 20,
"MEDIUM_LASER_MAX_POWER_USE" : 40,
"LARGE_LASER_MIN_POWER_USE" : 180,
"LARGE_LASER_MAX_POWER_USE" : 280,
"MEDIUM_LASER_MIN_RANGE" : 10000,
"MEDIUM_LASER_MAX_RANGE" : 19000,
"LARGE_LASER_MIN_RANGE" : 16000,
"LARGE_LASER_MAX_RANGE" : 30000,
"MEDIUM_LASER_MIN_FOV" : 45,
"MEDIUM_LASER_MAX_FOV" : 150,
"LARGE_LASER_MIN_FOV" : 80,
"LARGE_LASER_MAX_FOV" : 180,
"MEDIUM_LASER_MIN_FIRE_RATE" : 6,
"MEDIUM_LASER_MAX_FIRE_RATE" : 6,
"LARGE_LASER_MIN_FIRE_RATE" : 4,
"LARGE_LASER_MAX_FIRE_RATE" : 4,
"MEDIUM_MISSILE_MIN_DAMAGE" : 150,
"MEDIUM_MISSILE_MAX_DAMAGE" : 350,
"LARGE_MISSILE_MIN_DAMAGE" : 350,
"LARGE_MISSILE_MAX_DAMAGE" : 1000,
"MEDIUM_MISSILE_MAX_MISSILE_COUNT" : 4,
"LARGE_MISSILE_MAX_MISSILE_COUNT" : 8,
"MEDIUM_MISSILE_MIN_MASS" : 20,
"MEDIUM_MISSILE_MAX_MASS" : 40,
"LARGE_MISSILE_MIN_MASS" : 180,
"LARGE_MISSILE_MAX_MASS" : 360,
"MEDIUM_MISSILE_MIN_POWER_USE" : 20,
"MEDIUM_MISSILE_MAX_POWER_USE" : 40,
"LARGE_MISSILE_MIN_POWER_USE" : 180,
"LARGE_MISSILE_MAX_POWER_USE" : 360,
"MEDIUM_MISSILE_MIN_RANGE" : 8500,
"MEDIUM_MISSILE_MAX_RANGE" : 14000,
"LARGE_MISSILE_MIN_RANGE" : 11000,
"LARGE_MISSILE_MAX_RANGE" : 20000,
"MEDIUM_MISSILE_MIN_FIRE_RATE" : 4,
"MEDIUM_MISSILE_MAX_FIRE_RATE" : 4,
"LARGE_MISSILE_MIN_FIRE_RATE" : 2,
"LARGE_MISSILE_MAX_FIRE_RATE" : 2,
"MEDIUM_SHIELD_GENERATOR_MIN_MASS" : 20,
"MEDIUM_SHIELD_GENERATOR_MAX_MASS" : 40,
"MEDIUM_SHIELD_GENERATOR_MIN_POWER_USE" : 150,
"MEDIUM_SHIELD_GENERATOR_MAX_POWER_USE" : 500,
"MEDIUM_SHIELD_GENERATOR_MIN_STRENGHT" : 700,
"MEDIUM_SHIELD_GENERATOR_MAX_STRENGHT" : 1500,
"MEDIUM_SHIELD_GENERATOR_MIN_ARC" : 90,
"MEDIUM_SHIELD_GENERATOR_MAX_ARC" : 180,
"MEDIUM_SHIELD_GENERATOR_MIN_RANGE" : 800,
"MEDIUM_SHIELD_GENERATOR_MAX_RANGE" : 1200,
"MEDIUM_SHIELD_GENERATOR_MIN_RECHARGE_RATE" : 5,
"MEDIUM_SHIELD_GENERATOR_MAX_RECHARGE_RATE" : 5,
"SMALL_SHIELD_GENERATOR_MIN_MASS" : 10,
"SMALL_SHIELD_GENERATOR_MAX_MASS" : 20,
"SMALL_SHIELD_GENERATOR_MIN_POWER_USE" : 30,
"SMALL_SHIELD_GENERATOR_MAX_POWER_USE" : 100,
"SMALL_SHIELD_GENERATOR_MIN_STRENGHT" : 200,
"SMALL_SHIELD_GENERATOR_MAX_STRENGHT" : 700,
"SMALL_SHIELD_GENERATOR_MIN_ARC" : 90,
"SMALL_SHIELD_GENERATOR_MAX_ARC" : 180,
"SMALL_SHIELD_GENERATOR_MIN_RANGE" : 400,
"SMALL_SHIELD_GENERATOR_MAX_RANGE" : 700,
"SMALL_SHIELD_GENERATOR_MIN_RECHARGE_RATE" : 5,
"SMALL_SHIELD_GENERATOR_MAX_RECHARGE_RATE" : 5,
"SMALL_DAMAGE_ABSORBER_MIN_MASS" : 10,
"SMALL_DAMAGE_ABSORBER_MAX_MASS" : 20,
"SMALL_DAMAGE_ABSORBER_MIN_POWER_USE" : 15,
"SMALL_DAMAGE_ABSORBER_MAX_POWER_USE" : 30,
"SMALL_DAMAGE_ABSORBER_MIN_STRENGHT" : 120,
"SMALL_DAMAGE_ABSORBER_MAX_STRENGHT" : 240,
"MEDIUM_DAMAGE_ABSORBER_MIN_MASS" : 60,
"MEDIUM_DAMAGE_ABSORBER_MAX_MASS" : 120,
"MEDIUM_DAMAGE_ABSORBER_MIN_POWER_USE" : 30,
"MEDIUM_DAMAGE_ABSORBER_MAX_POWER_USE" : 60,
"MEDIUM_DAMAGE_ABSORBER_MIN_STRENGHT" : 900,
"MEDIUM_DAMAGE_ABSORBER_MAX_STRENGHT" : 1800
}
